Bug 142802 - CVE-2005-0176 unlock someone elses ipc memory
CVE-2005-0176 unlock someone elses ipc memory
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Anderson
Brian Brock
public=20041124,impact=moderate
: Security
Depends On:
Blocks: 156320
  Show dependency treegraph
 
Reported: 2004-12-14 04:42 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-25 12:42:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-12-14 10:34:34 EST
Reported on lkml a flaw that allows you to unlock someone
elses ipc memory (hence crossing permission boundary).

http://marc.theaimsgroup.com/?l=linux-kernel&m=110132782610477
http://marc.theaimsgroup.com/?l=linux-kernel&m=110137276318105

"In 2.6.8, the only processes that could lock shared memory segments
were those with CAP_IPC_LOCK.  Unprivileged processes did not get a
look in."

Looks like this is 2.6.9 (Arjan says since the fixed rhel3 mlock stuff
got merged it might be there too)
Comment 2 Ernie Petrides 2005-04-20 23:20:27 EDT
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.1.EL).
Comment 5 Ernie Petrides 2005-05-17 18:11:33 EDT
A fix for this problem has also been committed to the RHEL3 E6
patch pool this evening (in kernel version 2.4.21-32.0.1.EL).
Comment 6 Josh Bressers 2005-05-25 12:42:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-472.html

Note You need to log in before you can comment on or make changes to this bug.